;+
; NAME: eis_md_packet__define.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;      
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-
;
; Mission data packet size is 0x80100 pixels * 2 = 1049088 bytes
pro eis_md_packet__define
  
  struct = { eis_md_packet,                   $
             md_header  : ptr_new(obj_new()), $
;             pixel_data : list(),             $
;;             pixel_data : bytarr(600000),             $
             pixel_data : bytarr(1049088),             $
;             pixel_data : ptr_new(), $
             counter : 0UL, $

           inherits base_object }
end
