;+
; NAME: eis_md_packet_reader__define.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

pro eis_md_packet_reader__define
  print, 'eis_md_packet_reader_define'
  struct = { eis_md_packet_reader,                      $
             local_logger         : ptr_new(obj_new()), $
             md_packet            : ptr_new(obj_new()), $
             first_packet         : 0B,                 $
             eof                  : 0B,                 $
             payload_only         : 0B,                 $
             inherits base_object } ;eis_md_interface}
end
