;+
; NAME: eis_md_packet_reader__init.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

function eis_md_packet_reader::INIT, logger, verbose=verbose, rescued=rescued, trace=trace
  print, 'eis_md_packet_reader::INIT'
  ;;;self.local_logger = logger
  if keyword_set(verbose) then self.verbose = verbose
  if keyword_set(trace) then self.trace_on
  self.eof = 0
  self.payload_only = 0
  self.first_packet = 0
  self.md_packet = ptr_new(obj_new('eis_md_packet', verbose=verbose, trace=trace))
;    self.basename = basename
  return, 1
end
