;+
; NAME: eis_md_packet_reader__md_packet.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

;+ 
; Read a complete ccsds packet containing the mission data header as it's payload.
; Return only the ccsds packet payload.			
;-

function eis_md_packet_reader::md_packet
  return, self.md_packet
end
