;+
; NAME: eis_md_packet_reader__read_data.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

;pro eis_md_packet_reader::read_data, ccsds_reader
function eis_md_packet_reader::read_data, ccsds_reader
  counter = 0
  repeat begin
     got_packet = 0
;     print, 'eis_md_packet_reader::read_data'
     self->trace, 'eis_md_packet_reader::read_data'
;		packet = 0
     got_packet = *(ccsds_reader)->next_packet(packet, /payload_only)
;		foo = *(ccsds_reader)->next_packet(packet)
;		help, packet
;		print, 'DATA', packet[0:9]
     if got_packet then begin
        *(self.md_packet)->append, packet
        counter = counter + ulong(n_elements(packet))
     endif
  endrep until *(ccsds_reader)->last_packet_of_sequence() or (got_packet eq 0)
                                ;print, 'eis_md_packet_reader::read_data: end packet read'
  *(self.md_packet)->set_counter, counter
  return, got_packet
end
