

pro packet_read

  !QUIET=1
  
  home = getenv('HOME')

  ;logger = ptr_new(obj_new('eis_logger'))
  ;print, 'Got logger'
  ;res = *logger->open_log(getenv('HOME') + '/work/localdata/sdtp/merge/logs/raster_reader.txt', /append)
  ;print, 'Opened log'

;;;  ccsds_reader = ptr_new(obj_new('eis_ccsds_reader', 'READER', 'v1.0'))
  ccsds_reader = ptr_new(obj_new('eis_ccsds_reader', 'READER', 'v1.0', 'eis_ccsds_packet'))
  reader = ptr_new(obj_new('eis_md_packet_reader'))

;;;  filename = home + '/work/localdata/sdtp/merge/mission/decompressed/eis_md_20101223_2328086868'
  filename = home + '/Downloads/md/eis_md_20101223_2328086868'
  if *ccsds_reader->open_for_reading(filename) then begin
     repeat begin
        ret = *reader->read(ccsds_reader)
        print, 'ret = ' + strtrim(string(ret), 2)
        p = *reader->md_packet()
        *p->debug
;        *(*reader->md_packet())->debug
        print, 'N bytes = ' + strtrim(string(*p->nbytes_of_data()), 2)
;        help, (p).pixel_data
        h = *p->md_header()
        help,h
        msc = h->serial_packet_number()
        print, 'msc = ' + strtrim(string(msc), 2)
;        print, *(*p->md_header())->main_sequence_count()
        spn = (*(*reader->md_packet())->md_header())->serial_packet_number()
        print, 'spn = ' + strtrim(string(spn), 2)
     endrep until ret eq 0
     *ccsds_reader->debug
     *ccsds_reader->close_input
  endif

  print
  print

  *reader->cleanup
  
end
