;+
; NAME: eis_md_raster_reader__open.pro
;
; PURPOSE: 
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/18 mcrw	wrote
;
;-

pro eis_md_raster_reader::open, filename, verbose=verbose, rescued=rescued
  self->trace, 'eis_md_raster_reader::open ' + filename

  self.filename = filename
  if keyword_set(rescued) then self.rescued = rescued

;  self.raster_reader = ptr_new(obj_new('eis_md_raster_reader', rescued=rescued, verbose=self.verbose))

  self.ccsds_reader = ptr_new(obj_new('ccsds_reader', 'foo', 'v1.0', 'eis_ccsds_packet'))

  if not *(self.ccsds_reader)->open_for_reading(filename) then print, 'eis_md_raster::open Couldnt open file'

end
