;+
; NAME: eis_md_exposure__define.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

pro eis_md_exposure__define

  struct = { eis_md_exposure,                     $
             packet_list    : ptr_new(obj_new()), $
             first_packet   : 0,                  $
             current_packet : 0,                  $
             last_packet    : 0,                  $
             
           inherits base_object }
end
