;+
; NAME: eis_md_packet_header__log_items.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;      
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

pro eis_md_packet_header::log_items, logger
  prefix = 'eis_md_packet_header.'
  logger->logm, prefix + 'datatype               : ' + strtrim(string(self->datatype(), format = '(Z02)'), 2)
  logger->logm, prefix + 'packet_size            : ' + strtrim(string(self->packet_size(), format = '(Z06)'), 2)
  logger->logm, prefix + 'MID                    : ' + strtrim(string(self->main_id(), format = '(Z04)'), 2)
end
