;+
; NAME: eis_md_raster__read_exposure.pro
;
; PURPOSE: Definition of the main EIS raster structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/18 mcrw	wrote
;
;-

;pro eis_md_raster::read_exposure, filename, rescued=rescued
;
;end

pro eis_md_raster::read_exposure, verbose=verbose, rescued=rescued
  print, 'eis_md_raster::read_exposure '
  return
  *(self.raster_reader)->read_exposure, self.ccsds_reader
  self.exposure_list = *(self.raster_reader)->exposure_list()
  print, 'Number of exposures: ', *(self.exposure_list)->count()
end
