;+
; NAME: eis_md_raster_reader__init.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

;function eis_md_raster_reader::INIT, basename, rescued=rescued, verbose=verbose
function eis_md_raster_reader::INIT, rescued=rescued, verbose=verbose
  print, 'eis_md_raster_reader::INIT'
  
  if keyword_set(verbose) then self.verbose = verbose
  if keyword_set(rescued) then self.rescued = 1
  
  self.exposure_reader = ptr_new(obj_new('eis_md_exposure_reader', rescued=rescued, verbose=verbose))
;  self.exposure_list = ptr_new(obj_new('LIST'))
  self.raster = ptr_new(obj_new('eis_md_raster'))
;    self.basename = basename
  return, 1
end
